@font-face {
    font-family: Gotham SSm;
    /* src: url('/fonts/Gotham-SSm/GothamSSm-Black.otf'); */
    src: url('../fonts/Gotham-SSm/GothamSSm-Light.otf');
    /* src: url('/fonts/Gotham-SSm/GothamSSm-BlackItalic.otf');
    src: url('/fonts/Gotham-SSm/GothamSSm-Bold.otf');
    src: url('/fonts/Gotham-SSm/GothamSSm-BoldItalic.otf'); 
    src: url('fonts/Gotham-SSm/GothamSSm-Book.otf'); */
    /* src: url('/fonts/Gotham-SSm/GothamSSm-BookItalic.otf');
    src: url('/fonts/Gotham-SSm/GothamSSm-LightItalic.otf');
    src: url('/fonts/Gotham-SSm/GothamSSm-Medium.otf');
    src: url('/fonts/Gotham-SSm/GothamSSm-MediumItalic.otf'); */
}

body {
    min-height: 100vh;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* This part is for showing the slider animation */

.window {
    position: relative;
    height: 1920px;
    width: 1080px;
    /* outline: 1px solid red; */
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.movable_parent {
    position: absolute;
    top: 0px;
    left: 0px;
    --width: 1080px;
    height: 1920px;
    width: calc(var(--width)*3);
    display: flex;
    flex-direction: row;
    transition: left 0.5s linear;
}

.background {
    position: relative;
    width: 1080px;
    height: 1920px;
    display: flex;
    align-items: center;
    flex-direction: column;
    /* background: radial-gradient(119.99% 62.42% at 50% 36.33%, #7B16e1 0%, #000e87 100%); */
    /* background-image: url("img/BG (Observation) 1_200521.svg"); */
    background-repeat: none;
    background-position: center;
    overflow: hidden;
}

.background2 {
    position: relative;
    width: 1080px;
    height: 1920px;
    display: flex;
    align-items: center;
    flex-direction: column;
    background: radial-gradient(119.99% 62.42% at 50% 36.33%, #7B16e1 0%, #000e87 100%);
    overflow: hidden;
}

.bubble {
    position: absolute;
    border: none;
    border-radius: 50%;
}

.bubble.bubble1 {
    width: 531px;
    height: 531px;
    left: -144px;
    top: -267px;
    background: radial-gradient(53.31% 53.31% at 50% 50%, rgba(137, 27, 233, 0) 0%, rgba(137, 27, 233, 0.27907) 85.42%, #B663FF 100%);
    opacity: 0.4;
}

.bubble.bubble2 {
    width: 336px;
    height: 336px;
    left: 912px;
    top: 156px;
    background: radial-gradient(53.31% 53.31% at 50% 50%, rgba(137, 27, 233, 0) 0%, rgba(137, 27, 233, 0.27907) 85.42%, #891BE9 100%);
    opacity: 0.3;
}

.bubble.bubble3 {
    width: 381px;
    height: 381px;
    left: 606px;
    top: 1647px;
    background: radial-gradient(53.31% 53.31% at 58.96% 50.8%, rgba(0, 102, 255, 0) 47.4%, rgba(96, 140, 255, 0.5) 100%);
    opacity: 0.36;
}

/* For the cross symbol */

.cross_symbol_container {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 108px;
    height: 108px;
    left: 48px;
    top: 102px;
    opacity: 0.5;
    z-index: 1;
    /* background: grey; */
}

.cross_symbol_container .cross_oval {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90%;
    height: 90%;
    border-radius: 50%;
    /* background-color: blue; */
}

.cross_oval .cross_hand {
    position: absolute;
    width: 54px;
    height: 6px;
    top: 50%;
    left: 50%;
    background-color: #9C88D8;
}

.cross_oval #hand1 {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.cross_oval #hand2 {
    transform: translate(-50%, -50%) rotate(45deg);
}

/* For navigation bar. When selected the 'nav_selected' class is to be added in js. And the direction of the box shadow should be changed depending on the situation */

.navigation_bar {
    position: absolute;
    width: 55%;
    height: 5.6%;
    top: 5.3%;
    border-radius: 200px;
    background: rgb(109, 42, 244);
    display: flex;
    align-items: center;
    justify-content: space-around;
    font-size: 36px;
    text-align: center;
    font-family: Gotham SSm;
    font-weight: 325;
    line-height: 144.2%;
    cursor: pointer;
    color: white;
    z-index: 1;
}

.observation_bar {
    height: 100%;
    width: 50%;
    border-radius: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.question_bar {
    height: 100%;
    width: 50%;
    border-radius: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav_selected {
    background: white;
    color: rgb(54, 18, 175);
    box-shadow: 4px 2px 10px 2px rgba(0, 0, 0, 0.284);
    /*The direction needs to be changed by putting a 'minus' sign befer '4px'*/
}

.nav_selected2 {
    background: white;
    color: rgb(54, 18, 175);
    box-shadow: -4px 2px 10px 2px rgba(0, 0, 0, 0.284);
}

/* For the instruction area */

.instructino_area {
    position: absolute;
    width: 984px;
    height: 240px;
    top: 290px;
}

.instructino_area p {
    margin: 0;
    font-family: Gotham SSm;
    font-style: normal;
    font-weight: 300;
    font-size: 39px;
    line-height: 60px;
    /* or 154% */
    color: #FFFDFD;
}

/* For Visual area */

.visual_area {
    /* display: flex;
    justify-content: center;
    align-items: center; */
    position: absolute;
    top: 50%;
    width: 984px;
    height: 560px;
    top: 564px;
    z-index: 1;
}

.beaker_holder {
    position: absolute;
    border-radius: 10px;
}

.beaker {
    position: absolute;
    /* display: none; */
}

#waterBeakerImgforHoney {
    position: absolute;
    top: -1px;
    left: 46.25%;
}

.honey {
    position: absolute;
}

.text {
    position: absolute;
}

.reflection {
    position: absolute;
}

.water {
    position: absolute;
}

.density_table {
    position: absolute;
}

.honey_overlayer {
    position: absolute;
    z-index: 4;
    opacity: 0.65;
    transform-origin: bottom;
    width: 16%;
    height: auto;
    bottom: 120px;
    right: 188.5px;
    --scaleYval: 1;
    transform: scaleY(var(--scaleYval));
    transition: transform 1.5s;
}

.honey_top {
    position: absolute;
    z-index: 4;
    width: 157px;
    height: auto;
    top: 304px;
    left: 638px;
    opacity: 0.75;
    transition: top 1.5s;
}

.honey_covering_ball {
    position: absolute;
    width: 157px;
    height: auto;
    top: 303px;
    left: 638px;
    opacity: 0.75;
}

.honey_bottom {
    position: absolute;
    height: auto;
    opacity: 0.75;
    width: 157px;
    top: 400px;
    right: 189px;
    z-index: 5;
}

.water_top {
    position: absolute;
    width: 157px;
    height: auto;
    top: 303px;
    left: 183px;
    transition: top 1.1s;
}

.water_bottom {
    position: absolute;
    opacity: 0.75;
    width: 157px;
    height: auto;
    top: 400px;
    left: 183px;
}

.water_overlayer {
    position: absolute;
    z-index: 4;
    opacity: 0.8;
    transform-origin: bottom;
    --scaleYval: 1;
    transform: scaleY(var(--scaleYval));
    width: 16%;
    height: auto;
    bottom: 121px;
    right: 644px;
    transition: transform 1.05s;
}

.yellow_slider {
    -webkit-appearance: none;
    position: absolute;
    width: 34%;
    height: 15px;
    top: 59px;
    left: 390px;
    background: linear-gradient(90deg, #677B97 23.33%, #677B97 23.33%);
    border-radius: 12px;
    box-shadow: 0px 1px 10px 1px black;
}

.yellow_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 25px;
    height: 25px;
    background: #E1BC27;
    border-radius: 50%;
}

.yellow_slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: #E1BC27;
    border-radius: 50%;
}

.blue_slider {
    -webkit-appearance: none;
    position: absolute;
    width: 34%;
    height: 15px;
    top: 90px;
    left: 390px;
    background: linear-gradient(90deg, #006CEC 33.33%, #677B97 33.33%);
    border-radius: 12px;
    box-shadow: 0px 1px 10px 1px black;
}

.blue_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 25px;
    height: 25px;
    background: #006CEC;
    border-radius: 50%;
}

.blue_slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: blue;
    border-radius: 50%;
}

.orange_slider {
    -webkit-appearance: none;
    position: absolute;
    width: 34%;
    height: 15px;
    top: 120px;
    left: 390px;
    background: linear-gradient(90deg, #FF6F2C 61.33%, #677B97 61.33%);
    border-radius: 12px;
    box-shadow: 0px 1px 10px 1px black;
}

.orange_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 25px;
    height: 25px;
    background: #FF6F2C;
    border-radius: 50%;
}

.orange_slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: darkorange;
    border-radius: 50%;
}

.hidden {
    position: absolute;
    top: 50px;
    left: 390px;
    width: 34%;
    height: 100px;
    background-color: black;
    opacity: 0;
}

.ball {
    height: 60px;
    width: 60px;
    background-image: radial-gradient(snow, grey);
    border-radius: 30px;
}

.in_water {
    position: absolute;
    top: 282px;
    left: 23.5%;
}

.in_honey {
    position: absolute;
    top: 282px;
    left: 70%;
    z-index: 4;
}

/* For feedback bar */

.feedback_bar {
    position: absolute;
    border-radius: 20px;
    width: 984px;
    height: 180px;
    top: 62.5%;
    background: linear-gradient(180deg, #FFE601 0%, #E8882F 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.5s, top 0.5s;
}

.feedback_bar p {
    width: 92%;
    font-family: Gotham SSm;
    font-weight: 80;
    font-size: 36px;
    margin: 10px;
    text-align: center;
}

.slider_container {
    position: absolute;
    top: 78%;
    width: 90%;
    height: 5%;
    /* outline: 1px solid white; */
}

.input_slider {
    -webkit-appearance: none;
    outline: none;
    overflow: none;
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    height: 10%;
}

.input_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 60px;
    height: 60px;
    background: linear-gradient(#fb8d34, #f96074);
    border: none;
    border-radius: 50%;
    z-index: 3;
}

.input_slider::-moz-range-thumb {
    -webkit-appearance: none;
    width: 80px;
    height: 80px;
    background: linear-gradient(#fb8d34, #f96074);
    cursor: pointer;
    border: none;
    border-radius: 50%;
    z-index: 3;
}

.slider_container .movable span {
    position: absolute;
    bottom: 105%;
    width: 15%;
    height: 100%;
    border: 6px solid rgb(255, 255, 255);
    border-radius: 20px;
    background: linear-gradient(#fb8d34, #f96074);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Gotham SSm;
    font-size: 40px;
    color: rgb(241, 247, 246);
    transform: translateX(-50%);
    display: none;
}

.slider_container .movable span::after {
    content: '';
    border-top: 20px solid #ffffff;
    border-left: 20px solid rgba(0, 0, 0, 0);
    border-right: 20px solid rgba(0, 0, 0, 0);
    position: absolute;
    bottom: -025%;
    left: 50%;
    transform: translateX(-50%);
}

.marker {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 12px;
    height: 38px;
    background-color: #fff;
    border-radius: 5px;
}

#marker1 {
    left: 0%;
}

#marker2 {
    left: 50%;
}

/* #marker3 {
    left: 61.33%;
} */

#marker4 {
    left: 100%;
}

.next_button {
    position: absolute;
    top: 1704px;
    width: 45%;
    height: 128.64px;
    border: none;
    border-radius: 200px;
    background: linear-gradient(90deg,#10dca3, #3988fa);
    color: white;
    font-family: Gotham SSm;
    font-weight: 350;
    font-size: 42px;
    cursor: pointer;
}